OneToOneSecondPass (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class OneToOneSecondPass

    java.lang.Object
      org.hibernate.cfg.OneToOneSecondPass

All Implemented Interfaces:
  Serializable, SecondPass

    public class OneToOneSecondPass

extends Object
implements SecondPass

We have to handle OneToOne in a second pass because: -

See Also:
  Serialized Form

Constructor Summary
`OneToOneSecondPass(String mappedBy, String ownerEntity, String ownerProperty, PropertyHolder propertyHolder, PropertyData inferredData, org.hibernate.annotations.common.reflection.XClass targetEntity, boolean ignoreNotFound, boolean cascadeOnDelete, boolean optional, String cascadeStrategy, Ejb3JoinColumn[] columns, Mappings mappings)`

Method Summary
`void` | `doSecondPass(Map persistentClasses)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OneToOneSecondPass

    public OneToOneSecondPass(String mappedBy,
                              String ownerEntity,
                              String ownerProperty,
                              PropertyHolder propertyHolder,
                              PropertyData inferredData,
                              org.hibernate.annotations.common.reflection.XClass targetEntity,
                              boolean ignoreNotFound,
                              boolean cascadeOnDelete,
                              boolean optional,
                              String cascadeStrategy,
                              Ejb3JoinColumn[] columns,
                              Mappings mappings)

Method Detail

### doSecondPass

    public void doSecondPass(Map persistentClasses)
                      throws MappingException

  Specified by:
    `doSecondPass` in interface `SecondPass`
  Throws:
    `MappingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.